package _06_无参数无返回值;

public class Test4 {
    public static void main(String[] args) {
        method();
        /**
         * 定义三个方法
         *  分别调用三个方法
         *  打印1-10 的累加和
         *  打印三个数中最小的数
         *  判断一个数是否是偶数
         */
        sum();
        printMin();

        isEven();
    }

    /**
     * 判断一个数是否是偶数
     * isEven
     */
    public static void isEven(){
        int number =18;
        if(number % 2 == 0){
            System.out.println("偶数");
        }else{
            System.out.println("奇数");
        }
    }

    /**
     * 打印三个数当中最小的值
     */
    public static void printMin(){
        int number = 100;
        int number1 = 200;
        int number2 = 50;

        int temp =  number > number1? number1: number;
        int min = temp >number2 ? number2 : temp;

        System.out.println(min);
    }

    /**
     * 求1-10 的累加和
     */
    public static void sum(){
        int sum = 0;
        for (int i = 1; i <=10 ; i++) {
            sum+= i;
        }
        System.out.println(sum);
    }

    public static void method(){
        System.out.println("调用了方法");
    }
}
